import pandas
from sklearn import linear_model
from sklearn.preprocessing import StandardScaler
scale = StandardScaler()

#df = pandas.read_csv("data.csv")
#df = pandas.read_csv("/home/olivier/Documents/Cloud_UVSQ_2023-2024/SNPI/SNPI4_S7 - Réseau 3/TP MachineLearning/data.csv")
df = pandas.read_csv("/home/olivier/Documents/Cloud_UVSQ_2023-2024/SNPI/SNPI4_S7 - Machine Learning/TP MachineLearning/data.csv")

X = df[['Weight', 'Volume']]
y = df['CO2']

scaledX = scale.fit_transform(X)

regr = linear_model.LinearRegression()
regr.fit(scaledX, y)

scaled = scale.transform([[5300, 3]])

predictedCO2 = regr.predict([scaled[0]])
print(predictedCO2) 