import tensorflow as tf
from tensorflow import keras
import numpy as np

# Définition du modèle
model = keras.Sequential([keras.layers.Dense(units=1, input_shape=[1])])

# Compilation du modèle avec la bonne orthographe de l'optimiseur et la fonction de perte
model.compile(optimizer='sgd', loss='mean_squared_error')

# Données d'entraînement
xs = np.array([-1.0, 0.0, 1.0, 2.0, 3.0, 4.0], dtype=float)
ys = np.array([-2.0, 1.0, 4.0, 7.0, 10.0, 13.0], dtype=float)

# Entraînement du modèle
model.fit(xs, ys, epochs=500)

# Prédiction
print(model.predict(np.array([10.0])))
