import pandas
from sklearn import tree
from sklearn.tree import DecisionTreeClassifier
import matplotlib.pyplot as plt


#df = pandas.read_csv("data.csv")
df = pandas.read_csv("/home/olivier/Documents/Cloud_Perso/Annee_scolaire-2023-2024/SNPI/SNPI4_S7 - Machine Learning/TP MachineLearning/DecisionTree_data.csv")

d = {'UK': 0, 'USA': 1, 'N': 2}
df['Nationality'] = df['Nationality'].map(d)
d = {'YES': 1, 'NO': 0}
df['Go'] = df['Go'].map(d)

#print(df)

features = ['Age', 'Experience', 'Rank', 'Nationality']

X = df[features]
y = df['Go']
'''
print ("\n Colonnes d'entité : ")
print(X)
print ("\n Colonne cible qui sera à prédire :")
print(y)
'''
dtree = DecisionTreeClassifier()
dtree = dtree.fit(X, y)

tree.plot_tree(dtree, feature_names=features) 
plt.show()
#plt.savefig('tree.png')
