import numpy as np
import matplotlib.pyplot as plt
from scipy.cluster.hierarchy import dendrogram, linkage

x = [4, 5, 10, 4, 3, 11, 14 , 6, 10, 12]
y = [21, 19, 24, 17, 16, 25, 24, 22, 21, 21]

data = list(zip(x, y))
print (data)
"""
On observe le regroupement des données par couples (exemple n°ville et température)
Le méthode euclideenne nous permettra de visualiser la distance entre les différentes couples ville & température
Ceci nous permettra de regrouper des villes qui ont des profils de températures proches
Distance euclideenne = sqrt((x2-x1)^2 + (y2-y1)^2)
La méthode de Ward est une méthode statistique pour la classification hierarchique
"""

linkage_data = linkage(data, method='ward', metric='euclidean')
dendrogram(linkage_data)

plt.show()
